/*
 *   Author        : James Lloyd R. Atwil
 *   Modified By   : Rex S. Sacayan
 *   Date Created  : July 28, 2005
 *   Date modified : August 25, 2005
 *   Note          : Fectch the data from the website.
 *   Version       : 1.1
 */
 
include("scripts/xmldom.js");

function request()
{
	var url = new URL();
	var data = url.fetch("http://www.poppe-images.com/widget/widget_daily.php?v=1.1");

	if (data.length > 0) {
		error = false;
		var resultsXML = new XMLDoc(data,error);
		urlimg	= resultsXML.selectNode("urlimg").getText();
		urldet	= resultsXML.selectNode("urldet").getText();
		categ	= resultsXML.selectNode("category").getText();
		species = resultsXML.selectNode("species").getText();
	
		total = categ.length + species.length;
		if (total > 30) {
			cutter = 30 - categ.length;
			species = species.substring(0, cutter) + "...";
		}
	
		poppe_img.src = urlimg;
		poppe_img.onMouseDown = "openURL('" + urldet + "')";
		poppe_fs.data = categ + " - " + species; 
		poppe_fs.onMouseDown = "openURL('http://www.poppe-images.com/images/search_results.php?category=" + escape(categ) + "')";
		
	} else {
		poppe_fs.data = "Unable to connect."; 
	}	
}

request();